# Changelog

All notable changes to this project will be documented in this file.

## [0.62] - 2024-07-11
- POL1-579: New layout for R&E Peer dashboards
- Migrate from jinja2 to just plain python dictionaries

## [0.61] - 2024-05-27
- Remove traffic type format string in aggregate panels

## [0.60] - 2024-04-24
- POL1-809: hide ipv6 only interfaces from service panel showing interfaces with all traffic

## [0.59] - 2024-04-24
- Add exception logging when provisioning to aid in debugging
- Fix inventory-provider schema to be less strict to support new values in the future
- Revert to layout for Grafana 8.2.5 until we can use >=10.3.3

## [0.58] - 2024-04-22
- POL1-418/POL1-804: Add ANA graphs
- POL1-703: Add IC1 aggregate dashboard

## [0.57] - 2024-02-27
- Fix layout for Grafana 10.3.3

## [0.56] - 2024-02-15
- Change Customers on home dashboard to be the first series shown

## [0.55] - 2024-02-12
- POL1-648 minor change/fix: don't show IPv6 graph sections for dashboards lacking IPv6 graphs

## [0.54] - 2024-02-09
- POL1-648: Added IPv6 graphs for NREN dashboards

## [0.53] - 2023-06-21
- Add banner explaining difference between average/mean for >48h time ranges

## [0.52] - 2023-04-17
- Changed HTTP requests to reuse TCP connections to improve provisioning time
- Changed Jinja template code to cache templates on startup
- Changed the should_provision check timeout to 1h rather than 1 day.

## [0.51] - 2023-03-08
- Changed panel selections to use `max` rather than `mean` with `$__interval`

## [0.50] - 2023-03-08
- Changed group by size from '5m' to '$__interval' globally

## [0.49] - 2023-03-01
- Changed config to exclude Microsoft under all pages - it is not considered a customer

## [0.48] - 2023-02-27
- Changed config to show service-based dashboards BETA for everyone except General Public/CAE1 - Asia.

## [0.47] - 2023-02-27
- POL1-653: Changed filtering of excluded_nrens to be based on destination dashboard rather than interface description parsing
- Changed service-based dashboards code to not provision empty dashboards

## [0.46] - 2022-12-7
- POL1-645: Changed NREN aggregate code to not add duplicate interfaces

## [0.45] - 2022-12-7
- POL1-642: Added new service-based NREN dashboard as a separate beta for staff
- POL1-645: Changed how interfaces/services are addeed to Aggregate panels

## [0.44] - 2022-09-22
- POL1-533: Changed LAG services to be added under service list for NREN access dashboards

## [0.43] - 2022-09-21
- POL1-629: Remove CLS section (existing interfaces merged into Peering)

## [0.42] - 2022-08-25
- POL1-533: Add service-based panels to NREN Access dashboards

## [0.41] - 2022-07-20
- Fix bug with `dashboards_info` not being properly populated

## [0.40] - 2022-06-30
- POL1-597: Add POC for scid-based dashboards

## [0.39] - 2022-06-14
- POL1-524: Add multiple-customer support for l2 circuits

## [0.38] - 2022-04-06
- Modify staff home dashboard to include errors/discards

## [0.37] - 2022-03-28
- POL1-570: Add errors/discards to 10G GBS dashboards

## [0.36] - 2022-03-07
- Added COPERNICUS dashboard to Services dropdown

## [0.35] - 2022-02-24
- POL1-487: Adjust aggregate dashboard for COPERNICUS to group interfaces by location
- POL1-560: Add service category for 10G Guaranteed Bandwidth Service

## [0.34] - 2022-02-16
- POL1-487: Add aggregate dashboard for COPERNICUS

## [0.33] - 2022-01-26
- POL1-520: Change home dashboard to show network aggregate ingress and egress rates

## [0.32] - 2021-12-14
- Fix bug with field *8 multiplier introduced for aggregate graphs

## [0.31] - 2021-11-24
- Update API key handling to support Grafana 8.2

## [0.30] - 2021-11-24
- Fix error with *8 multiplier also being performed on errors/discard fields

## [0.29] - 2021-11-23
- POL1-480: Discards added to error graphs

## [0.28] - 2021-11-02
- changed group by '5m' window

## [0.27] - 2021-11-01
- POL1-463: Added a menu item to a dashboard list for EUMETSAT multicast
- changed group by window from '5m' to '$__interval', globally

## [0.26] - 2021-10-12
- increase thread pool sizes from 1 to 4

## [0.25] - 2021-10-12
- POL1-463: bugfixes

## [0.24] - 2021-10-11
- POL1-463: EUMETSAT multicast dashboards

## [0.23] - 2021-09-28
- Remove exclusion of GWS (In-)direct for relevant organizations

## [0.22] - 2021-09-15
- Add missing GWS folders to list of folders to keep

## [0.21] - 2021-09-14
- Delete left-over and unmanaged folders

## [0.20] - 2021-09-13
- Don't automatically create ignored folders, just ignore them if they are present

## [0.19] - 2021-09-13
- [POL1-501] create config option ignored_folders for provisioning folders with manually maintained dashboards

## [0.18] - 2021-08-23
- Only provision GWS folders for GEANT Staff organization temporarily

## [0.17] - 2021-08-23
- [POL1-482] to [POL1-484] - Moved dashboard grouping logic to inventory provider to make it easier to look up where interfaces should be in BRIAN.
- [POL1-479] (follows from the above) add LAG and SRV_L3VPN to R&E Peers dashboard
- Update folder names to be more understandable (RE CUST -> RE Customer)

## [0.16] - 2021-07-13
- Add GWS Direct/Indirect graphs + related changes
- Improve request logging for easier debugging

## [0.15] - 2021-05-17
- [POL1-433] Only provision aggregate panels for NRENs if LAG interfaces are present.

## [0.14] - 2021-04-19
- [POL1-420] Delete stale dashboards after provisioning.

## [0.13] - 2021-04-15
- Delete NREN folder when provisioning, stale dashboards could otherwise never be removed.

## [0.12] - 2021-04-15
- POL1-416 remaining changes

## [0.11] - 2021-04-15
- POL1-412, POL1-416 fixes

## [0.10] - 2021-04-12
- Fix bug in config
- [POL1-413/POL1-414] Add GEANTOPEN to General Public

## [0.9] - 2021-04-12
- Show GEANT logo on home dashboards for non-staff organizations
- [POL1-408] Remove hardcoded database name from lab dashboard
- [POL1-409/POL1-413/POL1-414] Properly exclude a number of dashboards and folders
- [POL1-413/POL1-414] Add PIONIER alias of PSNC to exclude

## [0.8] - 2021-04-09
- Templated home dashboard to provision different one for each organization
- Add interface names to aggregate graph target aliases
- Add lab router dashboard
- Remove multicast panels

## [0.7] - 2021-03-25
- Added better support for excluding dashboards under specific paths
- Added version endpoint
- Implemented lock on /update to prevent multiple requests from starting multiple provisioning processes

## [0.6] - 2021-03-10
- Added CAE1 and updated handling of IAS Upstream tags

## [0.5] - 2021-03-10
- Added provisioning of aggregate dashboards with many targets

## [0.4] - 2021-03-03
- Provisioning is now limited to a single org at once.

## [0.3] - 2021-03-03
- Tune down the amount of concurrency, as Grafana servers can't keep up

## [0.2] - 2021-03-03
- Generate and provision dashboards concurrently to reduce time to provision

## [0.1] - 2021-02-24
- initial skeleton
